Package picard.sam.SamErrorMetric

## Class IndelErrorMetric

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.MergeableMetricBase
    - - picard.sam.SamErrorMetric.ErrorMetric
      - - picard.sam.SamErrorMetric.BaseErrorMetric
        - - picard.sam.SamErrorMetric.IndelErrorMetric

-     public class IndelErrorMetric
      extends BaseErrorMetric

  Metric to be used for InDel errors

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.analysis.MergeableMetricBase

      `MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `DELETIONS_Q` | The (phred) rate of deletions.
    `int` | `INSERTIONS_Q` | The (phred) rate of insertions.
    `long` | `NUM_DELETED_BASES` | The number of deleted bases.
    `long` | `NUM_DELETIONS` | The number of deletions.
    `long` | `NUM_INSERTED_BASES` | The number of inserted bases.
    `long` | `NUM_INSERTIONS` | The number of insertions.

    - ### Fields inherited from class picard.sam.SamErrorMetric.BaseErrorMetric

      `ERROR_BASES, Q_SCORE`

    - ### Fields inherited from class picard.sam.SamErrorMetric.ErrorMetric

      `COVARIATE, PRIOR_ERROR, TOTAL_BASES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndelErrorMetric()` |
    `IndelErrorMetric​(String covariate, long nTotalBases, long nInserts, long nInsertedBases, long nDeletions, long nDeletedBases)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `calculateDerivedFields()` | Placeholder method that will calculate the derived fields from the other ones.

    - ### Methods inherited from class picard.sam.SamErrorMetric.ErrorMetric

      `computeQScore, computeQScore, setPriorError`

    - ### Methods inherited from class picard.analysis.MergeableMetricBase

      `canMerge, merge, merge, mergeIfCan`

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NUM_INSERTIONS

          public long NUM_INSERTIONS

      The number of insertions. Note: This is not the number of bases that have been inserted.

    - #### NUM_INSERTED_BASES

          public long NUM_INSERTED_BASES

      The number of inserted bases.

    - #### INSERTIONS_Q

          public int INSERTIONS_Q

      The (phred) rate of insertions.

    - #### NUM_DELETIONS

          public long NUM_DELETIONS

      The number of deletions. Note: This is not the number of bases that have been deleted.

    - #### NUM_DELETED_BASES

          public long NUM_DELETED_BASES

      The number of deleted bases.

    - #### DELETIONS_Q

          public int DELETIONS_Q

      The (phred) rate of deletions.

  - ### Constructor Detail

    - #### IndelErrorMetric

          public IndelErrorMetric​(String covariate,
                                  long nTotalBases,
                                  long nInserts,
                                  long nInsertedBases,
                                  long nDeletions,
                                  long nDeletedBases)

    - #### IndelErrorMetric

          public IndelErrorMetric()

  - ### Method Detail

    - #### calculateDerivedFields

          public void calculateDerivedFields()

      Description copied from class: `MergeableMetricBase`
      Placeholder method that will calculate the derived fields from the other ones. Classes that are derived from non-trivial derived classes should consider calling super.calculateDerivedFields() as well. Fields whose value will change due to this method should be annotated with `NoMergingKeepsValue`.
      Overrides:
        `calculateDerivedFields` in class `BaseErrorMetric`